Bug 157532 - [UPDATE] devel/libisofs to 1.0.8
Summary: [UPDATE] devel/libisofs to 1.0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-02 18:20 UTC by Alexey Shuvaev
Modified: 2011-06-17 22:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.60 KB, patch)
2011-06-02 18:20 UTC, Alexey Shuvaev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Shuvaev 2011-06-02 18:20:04 UTC
Update devel/libburn and devel/libisofs to latest releases.

The compile (-I/${PREFIX}/include) and linking (-L/${PREFIX}/lib -liconv) flags seem to be handled by upstream build system, so they are not needed in the Makefile anymore.

The patch to libisofs/messages.c is also merged upstream, so the port patch
patch-libisofs-messages.c
and "files" directory are removed.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-06-02 18:20:17 UTC
Maintainer of devel/libisofs,

Please note that PR ports/157532 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157532

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-06-02 18:20:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 J.R. Oldroyd 2011-06-03 09:17:49 UTC
On Thu, 2 Jun 2011 17:20:17 UT, Edwin Groothuis <edwin@FreeBSD.ORG> wrote:
>
> Maintainer of devel/libisofs,
> 
> Please note that PR ports/157532 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157532
> 


Sorry, but I do not currently have the time to maintain these
ports.  I would be happy to approve a maintainer change.  The
following four ports are associated and should be chowned as a
group:
	devel/libburn
	devel/libisoburn
	devel/libisofs
	sysutils/xfburn

Thanks,
	-jr
Comment 4 Wesley Shields freebsd_committer 2011-06-11 02:53:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 5 dfilter service freebsd_committer 2011-06-17 17:11:45 UTC
wxs         2011-06-17 16:11:36 UTC

  FreeBSD ports repository

  Modified files:
    devel/libisofs       Makefile distinfo 
  Removed files:
    devel/libisofs/files patch-libisofs-messages.c 
  Log:
  - Update to 1.0.8.
  - Reset maintainer.
  
  PR:             ports/157532
  Submitted by:   Alexey Shuvaev <shuvaev@physik.uni-wuerzburg.de>
  Approved by:    J.R. Oldroyd <fbsd@opal.com> (maintainer)
  
  Revision  Changes    Path
  1.4       +2 -2      ports/devel/libisofs/Makefile
  1.4       +2 -3      ports/devel/libisofs/distinfo
  1.2       +0 -10     ports/devel/libisofs/files/patch-libisofs-messages.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2011-06-17 17:12:16 UTC
wxs         2011-06-17 16:12:03 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/xfburn      Makefile 
  Log:
  - Reset maintainer.
  
  PR:             ports/157532
  
  Revision  Changes    Path
  1.16      +1 -1      ports/sysutils/xfburn/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wesley Shields freebsd_committer 2011-06-17 17:12:19 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2011-06-17 22:29:45 UTC
wxs         2011-06-17 21:29:30 UTC

  FreeBSD ports repository

  Modified files:
    devel/libisofs       Makefile 
    devel/libburn        Makefile 
  Log:
  Assign maintainer to submitter of previous PR.
  
  PR:             ports/157531, ports/157532
  Submitted by:   Alexey Shuvaev <shuvaev@physik.uni-wuerzburg.de>
  
  Revision  Changes    Path
  1.6       +1 -1      ports/devel/libburn/Makefile
  1.5       +1 -1      ports/devel/libisofs/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"